Name:           gsf-sharp
Version:        0.8.1
Release:        9%{?dist}
Summary:        Mono bindings for libgsf

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://go-mono.com
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel libgsf-devel gtk-sharp2-gapi gtk-sharp2 >= 1.9.5
BuildRequires:  gtk-sharp2-devel
Requires:       libgsf

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha
# no mono on s390 for now: s390 s390x 

%description
Mono bindings for libgsf

%package devel
Summary: pkgconfig file for gsf-sharp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
pkgconfig file for gsf-sharp

%prep
%setup -q

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}

make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gtk-sharp /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"

rm $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS README COPYING
%{_libdir}/libgsfglue.*
%{_libdir}/mono/gac/gsf-sharp
%{_libdir}/mono/gtk-sharp/*
%{_datadir}/gapi-2.0/gsf-api.xml

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/gsf-sharp.pc

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8.1-8
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.1-7
- Autorebuild for GCC 4.3

* Sat Dec 15 2007 Christopher Aillon <caillon@redhat.com> - 0.8.1-6
- Rebuild to pick up proper mono rpm provides

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.8.1-5
- Rebuild for selinux ppc32 issue.

* Thu Jul 26 2007 Matthias Clasen <mclasen@redhat.com> - 0.8.1-4
- Add alpha to ExclusiveArch (#246203)

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> - 0.8.1-3
- Don't ship .la files and static libs

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.8.1-2.fc6
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Alexander Larsson <alexl@redhat.com> - 0.8.1-1.fc6
- Update to 0.8.1, fixes a leak that caused files to not be closed

* Wed Sep  6 2006 Alexander Larsson <alexl@redhat.com> - 0.8-4
- Add -devel package (#205052)

* Sat Aug 19 2006 Matthias Clasen <mclasen@redhat.com> - 0.8-3.fc6
- Rebuild

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.8-2
- Rebuild with new mono libdir

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.8-1.1
- rebuild

* Wed Jun 21 2006 Alexander Larsson <alexl@redhat.com> - 0.8-1
- update to 0.8 which is for gsf 1.14.x

* Fri Jun  9 2006 Alexander Larsson <alexl@redhat.com> - 0.6-10
- Disable on s390* as mono doesn't build on s390 atm

* Tue Mar 21 2006 Caolan McNamara <caolanm@redhat.com> 0.6-9
- rebuild against new libgsf

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 0.6-8
- Buildrequires: gtk-sharp2

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 0.6-7
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.6-6.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.6-6
- Rebuild

* Sun Jan 22 2006 Alexander Larsson <alexl@redhat.com> 0.6-5
- Build on s390x

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.6-4
- Add s390 target

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec  8 2005 Alexander Larsson <alexl@redhat.com> 0.6-3
- Rebuild for new libgsf

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> 0.6-2
- Fix lib64 issue in pkgconfig file

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> - 0.6-1
- Initial version
